Package org.apache.wiki.plugin

# Class UndefinedPagesPlugin

java.lang.Object
org.apache.wiki.plugin.AbstractReferralPlugin
org.apache.wiki.plugin.UndefinedPagesPlugin

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class UndefinedPagesPlugin extends AbstractReferralPlugin
Plugin that enumerates the pages in the wiki that have not yet been defined. Parameters (from AbstractReferralPlugin):

- separator - how to separate generated links; default is a wikitext line break, producing a vertical list
- maxwidth - maximum width, in chars, of generated links.

## Field Summary

### Fields inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`ALL_ITEMS, items, m_after, m_before, m_dateFormat, m_dateLastModified, m_engine, m_exclude, m_include, m_lastModified, m_maxwidth, m_separator, m_show, m_sorter, PARAM_AFTER, PARAM_BEFORE, PARAM_COLUMNS, PARAM_EXCLUDE, PARAM_INCLUDE, PARAM_LASTMODIFIED, PARAM_MAXWIDTH, PARAM_SEPARATOR, PARAM_SHOW, PARAM_SHOW_VALUE_COUNT, PARAM_SHOW_VALUE_PAGES, PARAM_SORTORDER, PARAM_SORTORDER_HUMAN, PARAM_SORTORDER_JAVA, PARAM_SORTORDER_LOCALE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`UndefinedPagesPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getDisplayName(Locale locale)`

### Methods inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`applyColumnsStyle, filterAndSortCollection, filterCollection, filterWikiPageCollection, initialize, makeHTML, wikitizeCollection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getSnipExample`

## Constructor Details

### UndefinedPagesPlugin

public UndefinedPagesPlugin()

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Throws:
  `org.apache.wiki.api.exceptions.PluginException`